Closed Bug 953834 Opened 7 years ago Closed 7 years ago

Setting the delay for "idle after..." allows a value of zero minutes

Categories

(Instantbird :: Preferences, defect)

x86
All
defect
Not set
minor

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: benediktp, Assigned: benediktp)

Details

Attachments

(1 file)

*** Original post on bio 393 at 2010-03-19 22:42:00 UTC ***

"Set status to away" setting allows a delay of "0".
Limit by the range by min="1", so users can't set a maybe problematic value.

I'm not sure if it occurs on Linux though.
*** Original post on bio 393 at 2010-03-19 22:46:17 UTC ***

It's about inactivity, not the status "Away" ofcourse.
Summary: "Set status to away" setting allows a delay of "0" → Setting the delay for "idle after..." allows a value of zero minutes
Attached patch PatchSplinter Review
*** Original post on bio 393 as attmnt 292 at 2010-03-24 14:31:00 UTC ***

This patch sets the minimal value of number textbox to one (minute) instead of zero.
I can't think of any case where this value would need customisation, I guess hardcoding it is ok.
Attachment #8352033 - Flags: review?(florian)
Assignee: nobody → benediktp
Comment on attachment 8352033 [details] [diff] [review]
Patch

*** Original change on bio 393 attmnt 292 at 2010-04-02 08:30:12 UTC ***

Looks good! :)
Attachment #8352033 - Flags: review?(florian) → review+
*** Original post on bio 393 at 2010-04-02 09:50:26 UTC ***

https://hg.instantbird.org/instantbird/rev/1c5f34881cbb
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 0.2
OS: Windows XP → All
You need to log in before you can comment on or make changes to this bug.